### Hierarchy

- DataGridInteractionModel

## Index

### Constructors

- constructor

### Properties

- clickEventStream
- columnIndex
- columnSubject
- keyboardEventStream
- position
- rowIndex
- rowSubject
- tableAdapter

### Accessors

- currentColumn
- currentRow
- lastColumn
- lastRow

### Methods

- goTo
- goToColumn
- goToRow
- handleClickEvent
- handleKeyboardEvent
- reset
- resetTabIndexes

## Constructors

### constructor

- new DataGridInteractionModel(keyboardEventStream: Observable<KeyboardEvent>, clickEventStream: Observable<MouseEvent>, tableAdapter: TableAdapter): DataGridInteractionModel

- - Defined in src/table/data-grid-interaction-model.class.ts:116

  #### Parameters

  - ##### keyboardEventStream: Observable<KeyboardEvent>

  - ##### clickEventStream: Observable<MouseEvent>

  - ##### tableAdapter: TableAdapter

  #### Returns DataGridInteractionModel

## Properties

### Protected clickEventStream

clickEventStream: Observable<MouseEvent>

- Defined in src/table/data-grid-interaction-model.class.ts:127

### columnIndex

columnIndex: Observable<object>

- Defined in src/table/data-grid-interaction-model.class.ts:79

### Protected columnSubject

columnSubject: BehaviorSubject<object> = new BehaviorSubject({ current: 0, previous: -1 })

- Defined in src/table/data-grid-interaction-model.class.ts:88

### Protected keyboardEventStream

keyboardEventStream: Observable<KeyboardEvent>

- Defined in src/table/data-grid-interaction-model.class.ts:126

### position

position: Observable<DataGridPosition>

- Defined in src/table/data-grid-interaction-model.class.ts:71

### rowIndex

rowIndex: Observable<object>

- Defined in src/table/data-grid-interaction-model.class.ts:75

### Protected rowSubject

rowSubject: BehaviorSubject<object> = new BehaviorSubject({ current: 0, previous: -1 })

- Defined in src/table/data-grid-interaction-model.class.ts:84

### Protected tableAdapter

tableAdapter: TableAdapter

- Defined in src/table/data-grid-interaction-model.class.ts:128

## Accessors

### Protected currentColumn

currentColumn:

- Defined in src/table/data-grid-interaction-model.class.ts:100

### Protected currentRow

currentRow:

- Defined in src/table/data-grid-interaction-model.class.ts:93

### Protected lastColumn

lastColumn:

- Defined in src/table/data-grid-interaction-model.class.ts:107

### Protected lastRow

lastRow:

- Defined in src/table/data-grid-interaction-model.class.ts:114

## Methods

### goTo

- goTo(__namedParameters: object): void

- - Defined in src/table/data-grid-interaction-model.class.ts:238

  #### Parameters

  - ##### __namedParameters: object

    - ##### column: any

    - ##### row: any

  #### Returns void

### goToColumn

- goToColumn(index: number): void

- - Defined in src/table/data-grid-interaction-model.class.ts:218

  #### Parameters

  - ##### index: number

  #### Returns void

### goToRow

- goToRow(index: number): void

- - Defined in src/table/data-grid-interaction-model.class.ts:228

  #### Parameters

  - ##### index: number

  #### Returns void

### handleClickEvent

- handleClickEvent(event: MouseEvent): void

- - Defined in src/table/data-grid-interaction-model.class.ts:207

  #### Parameters

  - ##### event: MouseEvent

  #### Returns void

### handleKeyboardEvent

- handleKeyboardEvent(event: KeyboardEvent): void

- - Defined in src/table/data-grid-interaction-model.class.ts:152

  #### Parameters

  - ##### event: KeyboardEvent

  #### Returns void

### reset

- reset(): void

- - Defined in src/table/data-grid-interaction-model.class.ts:263

  #### Returns void

### resetTabIndexes

- resetTabIndexes(newTabIndex?: number): void

- - Defined in src/table/data-grid-interaction-model.class.ts:247

  #### Parameters

  - ##### Default value newTabIndex: number = -1

  #### Returns void

Generated using TypeDoc